package jp.igapyon.jcfa.vo;

import org.apache.bcel.classfile.JavaClass;

public class JcfaCode extends JcfaNode {
	protected short opcode;

	protected JavaClass javaClass = null;

	protected byte[] codes = null;

	public byte[] getCodes() {
		return codes;
	}

	public JavaClass getJavaClass() {
		return javaClass;
	}

	public short getOpcode() {
		return opcode;
	}

	public void setCodes(byte[] codes) {
		this.codes = codes;
	}

	public void setJavaClass(JavaClass javaClass) {
		this.javaClass = javaClass;
	}

	public void setOpcode(short opcode) {
		this.opcode = opcode;
	}
}
